Get Connection
curl --request GET \
--url https://partner.peaka.studio/api/v1/connections/{projectId}/{connectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/connections/{projectId}/{connectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/connections/{projectId}/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8db17e23-29de-4dab-8886-af9717e0e742",
"name": "airtable2",
"type": "airtable"
}Connections
Get Connection
Returns details of a specified Connection.
GET
/
connections
/
{projectId}
/
{connectionId}
Get Connection


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
ID of the project
ID of the connection
Response
200 - application/json
Get Connection by ID
Connection ID
Name of the connection
Type of connection.
Example: airtable for AirTable, stripe for Stripe, hubspot_access_token for HubSpot (with Access Token), etc.
Exact list can be fetched by following url: /connections/config
Oauth callback url if the connection is Oauth based.